commit 719e672cfe89373c12e86e7a5892c1f0028727fa
Author: Richard Biener <rguenther@suse.de>
Date:   Mon Nov 14 08:08:26 2022 +0100

    restrict gcc.dg/pr107554.c to 64bit platforms
    
    The following avoids exceeding the maximum object size on 32bit
    platforms.
    
            * gcc.dg/pr107554.c: Restrict to lp64.
    
    (cherry picked from commit e7ebdf51ea514ad0b2272ecfa97d6ec72a527e40)

diff --git a/gcc/testsuite/gcc.dg/pr107554.c b/gcc/testsuite/gcc.dg/pr107554.c
index 8bbe6b07ae9..61ef2bcd90a 100644
--- a/gcc/testsuite/gcc.dg/pr107554.c
+++ b/gcc/testsuite/gcc.dg/pr107554.c
@@ -1,4 +1,4 @@
-/* { dg-do compile } */
+/* { dg-do compile { target lp64 } } */
 /* { dg-options "-O -foptimize-strlen" } */
 
 #define ELEMS 0x40000000

